Page MenuHome

Python templates and addons need testing/updating
Closed, ArchivedPublic

Description

Blender Version
Broken: f2eef452009f - master - 2019-05-19

Short description of error
This is more of an addition to the TODO list for 2.80 release.

As the python API changes are about to be completed, it is time the python templates included with blender get tested and updated to work with 2.80.

One example is operator_modal_draw.py which includes old bgl code that fails in 2.80.

Also there are still some addons that should be updated or moved to contrib before release. (I expect all included addons should be 2.80 compatible)

Details

Type
Bug

Event Timeline

Philipp Oeser (lichtwerk) claimed this task.
Philipp Oeser (lichtwerk) triaged this task as Confirmed, Medium priority.

Will check on operator_modal_draw.py

Brecht Van Lommel (brecht) closed this task as Archived.

We have already have tasks to plan this work:

@Philipp Oeser (lichtwerk), feel free to port templates and API examples though.

operator_modal_draw.py and operator_modal_view3d_raycast.py are updated now